Update a species
PATCH /species/{id}
PATCH
/species/{id}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”object
name
The name of the species
string
Example
Chicken emojiIcon
Dynamic emoji for the species
string
Example
🐔 abbreviation
Abbreviation for the species
string
Example
CH diseaseShortNames
Applicable disease short names
Array<string>
Example
[ "AI", "FMD"] active
Active status
boolean
Example
trueResponses
Section titled “ Responses ”object
success
required
boolean
message
required
string
data
required
object
id
required
string
name
required
string
emojiIcon
Dynamic emoji for the species
string
Example
🐔 diseaseShortNames
List of applicable disease short names
Array<string>
Example
[ "AI", "FMD"] abbreviation
Abbreviation for the species used in accession ID
string
Example
CH active
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time